Get Funding Rate History
curl --request GET \
--url https://api.ondoperps.xyz/v1/perps/funding_rate_historyimport requests
url = "https://api.ondoperps.xyz/v1/perps/funding_rate_history"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.ondoperps.xyz/v1/perps/funding_rate_history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"result": [
{
"market": "AAPL-USD.P",
"time": "2025-03-05T12:00:00Z",
"fundingRate": "0.0000125"
}
],
"pageInfo": {
"nextCursor": "NQ5WWO3THN3Q===="
}
}{
"success": false,
"error": "Description of the error",
"error_code": "bad_query_param"
}{
"success": false,
"error": "Description of the error",
"error_code": "too_many_requests"
}{
"success": false,
"error": "Description of the error",
"error_code": "unknown"
}Funding Rate
Get Funding Rate History
Get the historical funding rates for a market. For how funding is calculated and applied, see Funding rates.
GET
/
v1
/
perps
/
funding_rate_history
Get Funding Rate History
Query Parameters
Perps trading market
Example:
"AAPL-USD.P"
Maximum number of results to return
Example:
1000
Pagination cursor
Example:
"NQ5WWO3THN3Q===="
Start time filter (UTC milliseconds)
Example:
1684814400000
End time filter (UTC milliseconds)
Example:
1672549200000
Response
Paginated list of historical funding rates, most recent first
Whether the request was successful
Example:
true
Error message, present only on failure
Example:
""
Semantic error code. See each endpoint's error responses for the specific codes it can return.
Deprecation notice, if applicable
Example:
""
Show child attributes
Show child attributes
Show child attributes
Show child attributes